#!/bin/sh

if test x$1 == x
then
   echo usage: ./make-release.sh 0.1 or ...
   exit 1
fi
VERSION=$1
VDATE=$VERSION\(`date`\)

rm -rf /tmp/z
mkdir /tmp/z
mkdir /tmp/z/reality-check/
mkdir /tmp/z/reality-check/doc/
mkdir /tmp/z/web

(cd /home/msp/bis/work/reality-check; \
    tar czf /tmp/test-manoury-en-echo.tgz test-manoury-en-echo; \
    tar czf /tmp/test-hagan-ofpulsesandtimes.tgz test-hagan-ofpulsesandtimes; \
 )

# build release directory structure
(cd ..; cp -a README.txt 1.reality.pd simple lib /tmp/z/reality-check/)
cp -a lemouton-implications.htm elind-pma-msp-prop.pdf /tmp/z/reality-check/doc/
sed /XXX/s/XXX/$VERSION/g < doc.md | sed /XXY/s/XXY/"$VDATE"/g > /tmp/z/doc.md
cp ci-in-max.md reality-check-max-example.tgz max-window.jpg ableton-window.jpg\
    /tmp/z/
magick diagram.svg /tmp/z/diagram.jpg
pandoc --metadata title="Reality Check Documentation" \
    -s -o /tmp/z/reality-check/doc/doc.htm /tmp/z/doc.md
pandoc --metadata title="Continuous integration for Max patches" \
    -s -o /tmp/z/reality-check/doc/ci-in-max.htm /tmp/z/ci-in-max.md

#build web page
cp -p /tmp/z/reality-check/doc/doc.htm /tmp/z/reality-check/doc/ci-in-max.htm \
      /tmp/z/*.jpg /tmp/z/web/
cp -a lemouton-implications.htm elind-pma-msp-prop.pdf \
    /tmp/test-manoury-en-echo.tgz \
    /tmp/test-hagan-ofpulsesandtimes.tgz \
    ~/papers/icmc24/preprint.pdf \
        /tmp/z/web/
(cd /tmp/z; tar czf web/reality-$VERSION.tgz reality-check)
sed /XXX/s/XXX/$VERSION/g < index-template.htm |\
     sed /XXY/s/XXY/"$VDATE"/g > /tmp/z/web/index.htm



