#!/bin/sh

# script to run Reality Check on song 5 of En Echo bt Philippe Manoury. 
# This script should work in linux or MacOS.  Run it from a shell that is in
# the same directory the script is in, as in:
#     $ ./test-me.sh
#
# The executable "pd" is searched for in a few
# reasonable places but you can override this by setting environment variable
# "PD" as in:
#     $ PD=/usr/local/bin/pd ./test-me.sh
#
# you may also override these:
#
# SCRIPT  -- the reality-check script to run (sect4a-test.txt by default)
# REALITY -- the directory to find reality check in (../reality-check)
#

if test x$PD == x; then
    if [ -f $HOME/Applications/Pd.app/Contents/Resources/bin/pd ] ; then
        PD=$HOME/Applications/Pd.app/Contents/Resources/bin/pd
    elif [ -f $HOME/Applications/Pd.app/Contents/Resources/bin/pd ] ; then
        PD=/Applications/Pd.app/Contents/Resources/bin/pd
    elif [ -f $HOME/pd/bin/pd ] ; then
        PD=$HOME/pd/bin/pd
    else
        PD=pd
    fi
fi

DIR=`pwd`

if test x$SCRIPT == x; then
    SCRIPT=sect4a-test.txt
fi

if test x$REALITY == x; then
    REALITY=../reality-check
fi

if test x$PATCH == x; then
    PATCH=$DIR/manoury-jupiter/jupiter.pd
fi

if test x$GUI == x; then
    CMD="$PD -batch -nosound -nrt -r 48000 -noprefs  \
        -send \"run-batch $DIR $DIR/vector/$SCRIPT $PATCH\" \
        $REALITY/1.reality.pd"
else
    CMD="$PD -nosound -nrt -r 48000 -noprefs  \
        -send \"run-interactive $DIR $DIR/vector/$SCRIPT $PATCH\" \
        $REALITY/1.reality.pd"
fi

echo run command: $CMD

echo

eval $CMD
